Page MenuHomePhabricator

ZeroNet Support
Closed, ResolvedPublic

Details

Impact
Normal

Event Timeline

Patrick created this task.Jan 11 2017, 12:21 AM

Might work...

Qubes-Whonix:

BIND_ADDR=$(qubesdb-read /qubes-ip) LD_PRELOAD+=' /usr/lib/uwt/libindp.so' /home/user/ZeroNet/zeronet.py --tor always

Non-Qubes-Whonix:

BIND_ADDR=10.152.152.10 LD_PRELOAD+=' /usr/lib/uwt/libindp.so' /home/user/ZeroNet/zeronet.py --tor always

sudo netstat -tulpen shows that it does work, but due to https://github.com/HelloZeroNet/ZeroNet/issues/794 I cannot really know it really works.

sudo netstat -tulpen

(redacted non-ZeroNet output)

Active Internet connections (only servers)
Proto Recv-Q Send-Q Local Address           Foreign Address         State       User       Inode       PID/Program name
tcp        0      0 10.137.11.80:43110      0.0.0.0:*               LISTEN      1000       72525       22927/python2.7 
tcp        0      0 10.137.11.80:15441      0.0.0.0:*               LISTEN      1000       72531       22927/python2.7

That is problematic. ZeroNet has two listeners. One for the web interface and one for communication.

The web interface that should stay at 127.0.0.1 because otherwise we would have to configure Tor Browser to allow local LAN connections. The communications listener however should be bend to to listen on the workstation external network interface, so the incoming Tor hidden services connection will work.

bindp bends both of the listener IPs. I haven't found an option in bindp to have it listen on localhost in combination with the workstation external network interface.

https://github.com/HelloZeroNet/ZeroNet/issues/795 would solve that issue.

bindp bends both of the listener IPs. I haven't found an option in bindp to have it listen on localhost in combination with the workstation external network interface.

Do you find this usecase common enough for a bindp feature request?

Certainly good to have. If you find any C people, perhaps suggest it to them?

I doubt a feature request would help given the inactivity and non-reaction on existing tickets, but feel free.

Not even sure it's possible to implement it at that level.

iry added a subscriber: iry.Jul 19 2017, 1:07 PM
unman added a subscriber: unman.Apr 3 2018, 3:37 PM

Instructions are fine for Whonix and Qubes-Whonix 14.
I've made some changes to the ZeroNet page to clarify installation.

Zero net can be installed and seems to work for loading sites and editing.

Patrick closed this task as Resolved.Apr 6 2018, 7:17 AM
Patrick assigned this task to unman.
insurgo added a subscriber: insurgo.EditedMar 14 2019, 12:03 AM

@unman @Patrick :

ZeroNet inside of Whonix-ws doesn't permit content publishing following actual guide: https://www.whonix.org/wiki/ZeroNet and the proposed code change into ZeroNet https://github.com/HelloZeroNet/ZeroNet/pull/484#issuecomment-472620641 is not working as it is.

Collaboration would be required to make things go forward and help ZeroNet/Whonix/QubesOS/Tor/Reasonably Secure hardware available, promoted and easily usable.

Website publishing is not working right now inside QubesOS.